Just got my hands on a PSP

bluevortex

Active Member
Well i searched high and low to track down one of these bad boys and eventually managed to pick one up this evening from ASDA of all places. Its charging right now!!

How can i tell what version it is. It says on the demo there is an update to v2.0, should i avoid doing this?? What version is best and why? Would v2 restrict it in some way?

I have movies in avi, mpeg etc on my PC - whats best at converting these to put on the sony pro duo 512mb.

Blue ;)
 

Simebaby

Active Member
Version depends - if you want to play homebrew and / or "backups" from memory stick, then you need version 1.5 (you can downgrade from version 2, though) - if you don't then version 2.0 (or indeed 2.5) should be fine.

As for video conversion, use this:

http://www.pspvideo9.com
 

asimm

Active Member
Bluevortex - you lucky sod. I have been trying all shops in Croydon for about a week now. Even went to Oxford Street the other day. Enjoy!
 

Baron Von Doom

Active Member
version depends on if you want homebrew. version 1.5 is compatible but beleive it will be at least 1.52. version 2.0 has a web browser. i believe version 2.0 is downgradable to version 1.50.
1.52 is not downgradable.
there is a program that tricks your psp into thinking it has a higher firmware version, allowing you to play later games that require a higherversion.
there is no benifit to keeping version 1.52 over 2.0

psp video 9 is th best program for converting movies. its a free download. you may need to fiddle with settings to get the best finnished file size.
 

bluevortex

Active Member
I Have version 2.0 - What is homebrew? I was looking on ebay for some games and came across people selling a DVD loaded with games (40+) do i need to be 1.5 to use these, anyone tried these before??

Any reccomendations on some games?

thanks blue ;)
 

Spooksta

Well-known Member
Ive got a White 2.0. I realy dont want to downgrade mine so the question is... Will Homebrew ever be able to go on 2.0 without a downgrade. It must be coming ?
 

Tejstar

Well-known Member
Spooksta said:
Will Homebrew ever be able to go on 2.0 without a downgrade. It must be coming ?
It's difficult to say, especially after they found a way to get back to 1.5. But as with all things, it may do, but it will take time. With the likelihood that upcoming games will force you to upgrade to 2.5 it looks like this cat & mouse game between the hackers & Sony will continue for sometime yet.
 

Baron Von Doom

Active Member
bluevortex said:
I Have version 2.0 - What is homebrew? I was looking on ebay for some games and came across people selling a DVD loaded with games (40+) do i need to be 1.5 to use these, anyone tried these before??

Any reccomendations on some games?

thanks blue ;)
you need 1.5 to play these. these games are all available to download at various sites on the web for free. you will also need an emulator to play them.
they are mostly very small file sizes, i have no trouble downloading them on dial up.
 

Simebaby

Active Member
I've done it without problems a couple of times (between 2.0 and 1.5) - however, it's not 100% guaranteed to be without problems (as nothing of this nature is).

On an aside, the guy who developed Fastloader and UMD Emulator has announced he won't be developing any more for the PSP - which will be a bit of a blow to those who like to play ISO images, if nothing else.
 

Trending threads

Top Bottom